/**
 * Created by jmoutard on 21/07/16.
 */

'use strict';

angular.module('adf.electre')
    .config([
        "dashboardProvider", "$stateProvider", "$urlRouterProvider",
        function (dashboardProvider, $stateProvider, $urlRouterProvider) {
            /* NAVBAR CONFIG */
            $urlRouterProvider.otherwise('/home');
            $stateProvider
            .state('home', {
                url: "/home",
                templateUrl : "partials/default.html",
                controller: 'dashboardController',
                controllerAs: 'dashboard',
                resolve: {
                    data: [
                        function () {
                            return undefined;
                        }
                    ]
                }
            }).state('login', {
                url: "/login",
                resolve: {
                    logout: [
                        "loginService",
                        function (loginService) {
                            loginService.login();
                            return;
                        }
                    ]
                }
            }).state('logout', {
                url: "/logout",
                resolve: {
                    logout: [
                        "loginService",
                        function (loginService) {
                            loginService.logout();
                            return;
                        }
                    ]
                }
            }).state('local_board', {
                url: "/local_board/:id",
                templateUrl: 'partials/dashboard.html',
                controller: 'dashboardController',
                controllerAs: 'dashboard',
                resolve: {
                    data: [
                        "$stateParams", "storeService",
                        function ($stateParams, storeService) {
                            return storeService.get($stateParams.id);
                        }
                    ]
                }
            }).state('remote_board', {
                url: "/remote_board/:id",
                templateUrl: 'partials/dashboard.html',
                controller: 'dashboardController',
                controllerAs: 'dashboard',
                resolve: {
                    data: [
                        "$stateParams", "storeService",
                        function ($stateParams, storeService) {
                            return storeService.get($stateParams.id);
                        }
                    ]
                }
            });

            /* ADF CONFIG */
            dashboardProvider.widgetsPath("/widgets");
        }
    ]);